using UnityEngine;

namespace View {
	public class SaveLoad : MonoBehaviour {
		private void Start() => LoadGame();

		private void LoadGame() => FindObjectOfType<Dependencies>().Loader.Run();
		private void SaveGame() => FindObjectOfType<Dependencies>().Saver.Run();

		private void OnApplicationQuit() => SaveGame();
	}
}